Assume C89 or later.
[bpt/emacs.git] / m4 / gl-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2011 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.in, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module careadlinkat:
44 # Code from module crypto/md5:
45 # Code from module crypto/sha1:
46 # Code from module crypto/sha256:
47 # Code from module crypto/sha512:
48 # Code from module dosname:
49 # Code from module dtoastr:
50 # Code from module dup2:
51 # Code from module extensions:
52 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
53 # Code from module filemode:
54 # Code from module getloadavg:
55 # Code from module getopt-gnu:
56 # Code from module getopt-posix:
57 # Code from module gettext-h:
58 # Code from module ignore-value:
59 # Code from module include_next:
60 # Code from module intprops:
61 # Code from module inttypes-incomplete:
62 # Code from module largefile:
63 AC_REQUIRE([AC_SYS_LARGEFILE])
64 # Code from module lstat:
65 # Code from module manywarnings:
66 # Code from module mktime:
67 # Code from module multiarch:
68 # Code from module nocrash:
69 # Code from module pathmax:
70 # Code from module pthread_sigmask:
71 # Code from module readlink:
72 # Code from module signal-h:
73 # Code from module sigprocmask:
74 # Code from module snippet/_Noreturn:
75 # Code from module snippet/arg-nonnull:
76 # Code from module snippet/c++defs:
77 # Code from module snippet/warn-on-use:
78 # Code from module socklen:
79 # Code from module ssize_t:
80 # Code from module stat:
81 # Code from module stdarg:
82 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
83 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
84 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
85 dnl shouldn't hurt, though installers are on their own to set c99 mode.
86 gl_PROG_CC_C99
87 # Code from module stdbool:
88 # Code from module stddef:
89 # Code from module stdint:
90 # Code from module stdio:
91 # Code from module stdlib:
92 # Code from module strftime:
93 # Code from module strtoimax:
94 # Code from module strtoll:
95 # Code from module strtoull:
96 # Code from module strtoumax:
97 # Code from module symlink:
98 # Code from module sys_stat:
99 # Code from module time:
100 # Code from module time_r:
101 # Code from module u64:
102 # Code from module unistd:
103 # Code from module verify:
104 # Code from module warnings:
105 ])
106
107 # This macro should be invoked from ./configure.in, in the section
108 # "Check for header files, types and library functions".
109 AC_DEFUN([gl_INIT],
110 [
111 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
112 gl_cond_libtool=false
113 gl_libdeps=
114 gl_ltlibdeps=
115 gl_m4_base='m4'
116 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
117 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
118 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
119 m4_pushdef([gl_LIBSOURCES_LIST], [])
120 m4_pushdef([gl_LIBSOURCES_DIR], [])
121 gl_COMMON
122 gl_source_base='lib'
123 gl_FUNC_ALLOCA
124 AC_CHECK_FUNCS_ONCE([readlinkat])
125 gl_MD5
126 gl_SHA1
127 gl_SHA256
128 gl_SHA512
129 AC_REQUIRE([gl_C99_STRTOLD])
130 gl_FUNC_DUP2
131 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
132 AC_LIBOBJ([dup2])
133 gl_PREREQ_DUP2
134 fi
135 gl_UNISTD_MODULE_INDICATOR([dup2])
136 gl_FILEMODE
137 gl_GETLOADAVG
138 if test $HAVE_GETLOADAVG = 0; then
139 AC_LIBOBJ([getloadavg])
140 gl_PREREQ_GETLOADAVG
141 fi
142 gl_STDLIB_MODULE_INDICATOR([getloadavg])
143 gl_FUNC_GETOPT_GNU
144 if test $REPLACE_GETOPT = 1; then
145 AC_LIBOBJ([getopt])
146 AC_LIBOBJ([getopt1])
147 gl_PREREQ_GETOPT
148 fi
149 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
150 gl_FUNC_GETOPT_POSIX
151 if test $REPLACE_GETOPT = 1; then
152 AC_LIBOBJ([getopt])
153 AC_LIBOBJ([getopt1])
154 gl_PREREQ_GETOPT
155 fi
156 AC_REQUIRE([AC_C_INLINE])
157 gl_INTTYPES_INCOMPLETE
158 gl_FUNC_LSTAT
159 if test $REPLACE_LSTAT = 1; then
160 AC_LIBOBJ([lstat])
161 gl_PREREQ_LSTAT
162 fi
163 gl_SYS_STAT_MODULE_INDICATOR([lstat])
164 gl_FUNC_MKTIME
165 if test $REPLACE_MKTIME = 1; then
166 AC_LIBOBJ([mktime])
167 gl_PREREQ_MKTIME
168 fi
169 gl_TIME_MODULE_INDICATOR([mktime])
170 gl_MULTIARCH
171 gl_FUNC_PTHREAD_SIGMASK
172 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
173 AC_LIBOBJ([pthread_sigmask])
174 gl_PREREQ_PTHREAD_SIGMASK
175 fi
176 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
177 gl_FUNC_READLINK
178 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
179 AC_LIBOBJ([readlink])
180 gl_PREREQ_READLINK
181 fi
182 gl_UNISTD_MODULE_INDICATOR([readlink])
183 gl_SIGNAL_H
184 gl_TYPE_SOCKLEN_T
185 gt_TYPE_SSIZE_T
186 gl_STDARG_H
187 AM_STDBOOL_H
188 gl_STDDEF_H
189 gl_STDINT_H
190 gl_STDIO_H
191 gl_STDLIB_H
192 gl_FUNC_GNU_STRFTIME
193 gl_FUNC_STRTOIMAX
194 if test $ac_cv_func_strtoimax = no; then
195 AC_LIBOBJ([strtoimax])
196 gl_PREREQ_STRTOIMAX
197 fi
198 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
199 gl_FUNC_STRTOUMAX
200 if test $ac_cv_func_strtoumax = no; then
201 AC_LIBOBJ([strtoumax])
202 gl_PREREQ_STRTOUMAX
203 fi
204 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
205 gl_FUNC_SYMLINK
206 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
207 AC_LIBOBJ([symlink])
208 fi
209 gl_UNISTD_MODULE_INDICATOR([symlink])
210 gl_HEADER_SYS_STAT_H
211 AC_PROG_MKDIR_P
212 gl_HEADER_TIME_H
213 gl_TIME_R
214 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
215 AC_LIBOBJ([time_r])
216 gl_PREREQ_TIME_R
217 fi
218 gl_TIME_MODULE_INDICATOR([time_r])
219 AC_REQUIRE([AC_C_INLINE])
220 gl_UNISTD_H
221 AC_SUBST([WARN_CFLAGS])
222 gl_gnulib_enabled_dosname=false
223 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
224 gl_gnulib_enabled_pathmax=false
225 gl_gnulib_enabled_sigprocmask=false
226 gl_gnulib_enabled_stat=false
227 gl_gnulib_enabled_strtoll=false
228 gl_gnulib_enabled_strtoull=false
229 gl_gnulib_enabled_verify=false
230 func_gl_gnulib_m4code_dosname ()
231 {
232 if ! $gl_gnulib_enabled_dosname; then
233 gl_gnulib_enabled_dosname=true
234 fi
235 }
236 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
237 {
238 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
239 AC_SUBST([LIBINTL])
240 AC_SUBST([LTLIBINTL])
241 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
242 fi
243 }
244 func_gl_gnulib_m4code_pathmax ()
245 {
246 if ! $gl_gnulib_enabled_pathmax; then
247 gl_PATHMAX
248 gl_gnulib_enabled_pathmax=true
249 fi
250 }
251 func_gl_gnulib_m4code_sigprocmask ()
252 {
253 if ! $gl_gnulib_enabled_sigprocmask; then
254 gl_SIGNALBLOCKING
255 if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
256 AC_LIBOBJ([sigprocmask])
257 gl_PREREQ_SIGPROCMASK
258 fi
259 gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
260 gl_gnulib_enabled_sigprocmask=true
261 fi
262 }
263 func_gl_gnulib_m4code_stat ()
264 {
265 if ! $gl_gnulib_enabled_stat; then
266 gl_FUNC_STAT
267 if test $REPLACE_STAT = 1; then
268 AC_LIBOBJ([stat])
269 gl_PREREQ_STAT
270 fi
271 gl_SYS_STAT_MODULE_INDICATOR([stat])
272 gl_gnulib_enabled_stat=true
273 if test $REPLACE_STAT = 1; then
274 func_gl_gnulib_m4code_dosname
275 fi
276 if test $REPLACE_STAT = 1; then
277 func_gl_gnulib_m4code_pathmax
278 fi
279 if test $REPLACE_STAT = 1; then
280 func_gl_gnulib_m4code_verify
281 fi
282 fi
283 }
284 func_gl_gnulib_m4code_strtoll ()
285 {
286 if ! $gl_gnulib_enabled_strtoll; then
287 gl_FUNC_STRTOLL
288 if test $HAVE_STRTOLL = 0; then
289 AC_LIBOBJ([strtoll])
290 gl_PREREQ_STRTOLL
291 fi
292 gl_STDLIB_MODULE_INDICATOR([strtoll])
293 gl_gnulib_enabled_strtoll=true
294 fi
295 }
296 func_gl_gnulib_m4code_strtoull ()
297 {
298 if ! $gl_gnulib_enabled_strtoull; then
299 gl_FUNC_STRTOULL
300 if test $HAVE_STRTOULL = 0; then
301 AC_LIBOBJ([strtoull])
302 gl_PREREQ_STRTOULL
303 fi
304 gl_STDLIB_MODULE_INDICATOR([strtoull])
305 gl_gnulib_enabled_strtoull=true
306 fi
307 }
308 func_gl_gnulib_m4code_verify ()
309 {
310 if ! $gl_gnulib_enabled_verify; then
311 gl_gnulib_enabled_verify=true
312 fi
313 }
314 if test $REPLACE_GETOPT = 1; then
315 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
316 fi
317 if test $REPLACE_LSTAT = 1; then
318 func_gl_gnulib_m4code_dosname
319 fi
320 if test $REPLACE_LSTAT = 1; then
321 func_gl_gnulib_m4code_stat
322 fi
323 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
324 func_gl_gnulib_m4code_sigprocmask
325 fi
326 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
327 func_gl_gnulib_m4code_stat
328 fi
329 if test $ac_cv_func_strtoimax = no; then
330 func_gl_gnulib_m4code_verify
331 fi
332 if test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
333 func_gl_gnulib_m4code_strtoll
334 fi
335 if test $ac_cv_func_strtoumax = no; then
336 func_gl_gnulib_m4code_verify
337 fi
338 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
339 func_gl_gnulib_m4code_strtoull
340 fi
341 m4_pattern_allow([^gl_GNULIB_ENABLED_])
342 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
343 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
344 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
345 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
346 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
347 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
348 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
349 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
350 # End of code from modules
351 m4_ifval(gl_LIBSOURCES_LIST, [
352 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
353 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
354 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
355 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
356 exit 1
357 fi
358 done])dnl
359 m4_if(m4_sysval, [0], [],
360 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
361 ])
362 m4_popdef([gl_LIBSOURCES_DIR])
363 m4_popdef([gl_LIBSOURCES_LIST])
364 m4_popdef([AC_LIBSOURCES])
365 m4_popdef([AC_REPLACE_FUNCS])
366 m4_popdef([AC_LIBOBJ])
367 AC_CONFIG_COMMANDS_PRE([
368 gl_libobjs=
369 gl_ltlibobjs=
370 if test -n "$gl_LIBOBJS"; then
371 # Remove the extension.
372 sed_drop_objext='s/\.o$//;s/\.obj$//'
373 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
374 gl_libobjs="$gl_libobjs $i.$ac_objext"
375 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
376 done
377 fi
378 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
379 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
380 ])
381 gltests_libdeps=
382 gltests_ltlibdeps=
383 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
384 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
385 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
386 m4_pushdef([gltests_LIBSOURCES_LIST], [])
387 m4_pushdef([gltests_LIBSOURCES_DIR], [])
388 gl_COMMON
389 gl_source_base='tests'
390 changequote(,)dnl
391 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
392 changequote([, ])dnl
393 AC_SUBST([gltests_WITNESS])
394 gl_module_indicator_condition=$gltests_WITNESS
395 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
396 m4_pattern_allow([^gl_GNULIB_ENABLED_])
397 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
398 m4_ifval(gltests_LIBSOURCES_LIST, [
399 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
400 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
401 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
402 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
403 exit 1
404 fi
405 done])dnl
406 m4_if(m4_sysval, [0], [],
407 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
408 ])
409 m4_popdef([gltests_LIBSOURCES_DIR])
410 m4_popdef([gltests_LIBSOURCES_LIST])
411 m4_popdef([AC_LIBSOURCES])
412 m4_popdef([AC_REPLACE_FUNCS])
413 m4_popdef([AC_LIBOBJ])
414 AC_CONFIG_COMMANDS_PRE([
415 gltests_libobjs=
416 gltests_ltlibobjs=
417 if test -n "$gltests_LIBOBJS"; then
418 # Remove the extension.
419 sed_drop_objext='s/\.o$//;s/\.obj$//'
420 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
421 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
422 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
423 done
424 fi
425 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
426 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
427 ])
428 LIBGNU_LIBDEPS="$gl_libdeps"
429 AC_SUBST([LIBGNU_LIBDEPS])
430 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
431 AC_SUBST([LIBGNU_LTLIBDEPS])
432 ])
433
434 # Like AC_LIBOBJ, except that the module name goes
435 # into gl_LIBOBJS instead of into LIBOBJS.
436 AC_DEFUN([gl_LIBOBJ], [
437 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
438 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
439 ])
440
441 # Like AC_REPLACE_FUNCS, except that the module name goes
442 # into gl_LIBOBJS instead of into LIBOBJS.
443 AC_DEFUN([gl_REPLACE_FUNCS], [
444 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
445 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
446 ])
447
448 # Like AC_LIBSOURCES, except the directory where the source file is
449 # expected is derived from the gnulib-tool parameterization,
450 # and alloca is special cased (for the alloca-opt module).
451 # We could also entirely rely on EXTRA_lib..._SOURCES.
452 AC_DEFUN([gl_LIBSOURCES], [
453 m4_foreach([_gl_NAME], [$1], [
454 m4_if(_gl_NAME, [alloca.c], [], [
455 m4_define([gl_LIBSOURCES_DIR], [lib])
456 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
457 ])
458 ])
459 ])
460
461 # Like AC_LIBOBJ, except that the module name goes
462 # into gltests_LIBOBJS instead of into LIBOBJS.
463 AC_DEFUN([gltests_LIBOBJ], [
464 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
465 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
466 ])
467
468 # Like AC_REPLACE_FUNCS, except that the module name goes
469 # into gltests_LIBOBJS instead of into LIBOBJS.
470 AC_DEFUN([gltests_REPLACE_FUNCS], [
471 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
472 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
473 ])
474
475 # Like AC_LIBSOURCES, except the directory where the source file is
476 # expected is derived from the gnulib-tool parameterization,
477 # and alloca is special cased (for the alloca-opt module).
478 # We could also entirely rely on EXTRA_lib..._SOURCES.
479 AC_DEFUN([gltests_LIBSOURCES], [
480 m4_foreach([_gl_NAME], [$1], [
481 m4_if(_gl_NAME, [alloca.c], [], [
482 m4_define([gltests_LIBSOURCES_DIR], [tests])
483 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
484 ])
485 ])
486 ])
487
488 # This macro records the list of files which have been installed by
489 # gnulib-tool and may be removed by future gnulib-tool invocations.
490 AC_DEFUN([gl_FILE_LIST], [
491 build-aux/snippet/_Noreturn.h
492 build-aux/snippet/arg-nonnull.h
493 build-aux/snippet/c++defs.h
494 build-aux/snippet/warn-on-use.h
495 lib/alloca.in.h
496 lib/allocator.c
497 lib/allocator.h
498 lib/careadlinkat.c
499 lib/careadlinkat.h
500 lib/dosname.h
501 lib/dtoastr.c
502 lib/dup2.c
503 lib/filemode.c
504 lib/filemode.h
505 lib/ftoastr.c
506 lib/ftoastr.h
507 lib/getloadavg.c
508 lib/getopt.c
509 lib/getopt.in.h
510 lib/getopt1.c
511 lib/getopt_int.h
512 lib/gettext.h
513 lib/ignore-value.h
514 lib/intprops.h
515 lib/inttypes.in.h
516 lib/lstat.c
517 lib/md5.c
518 lib/md5.h
519 lib/mktime-internal.h
520 lib/mktime.c
521 lib/pathmax.h
522 lib/pthread_sigmask.c
523 lib/readlink.c
524 lib/sha1.c
525 lib/sha1.h
526 lib/sha256.c
527 lib/sha256.h
528 lib/sha512.c
529 lib/sha512.h
530 lib/signal.in.h
531 lib/sigprocmask.c
532 lib/stat.c
533 lib/stdarg.in.h
534 lib/stdbool.in.h
535 lib/stddef.in.h
536 lib/stdint.in.h
537 lib/stdio.in.h
538 lib/stdlib.in.h
539 lib/strftime.c
540 lib/strftime.h
541 lib/strtoimax.c
542 lib/strtol.c
543 lib/strtoll.c
544 lib/strtoul.c
545 lib/strtoull.c
546 lib/strtoumax.c
547 lib/symlink.c
548 lib/sys_stat.in.h
549 lib/time.in.h
550 lib/time_r.c
551 lib/u64.h
552 lib/unistd.in.h
553 lib/verify.h
554 m4/00gnulib.m4
555 m4/alloca.m4
556 m4/c-strtod.m4
557 m4/dup2.m4
558 m4/extensions.m4
559 m4/filemode.m4
560 m4/getloadavg.m4
561 m4/getopt.m4
562 m4/gnulib-common.m4
563 m4/include_next.m4
564 m4/inttypes.m4
565 m4/largefile.m4
566 m4/longlong.m4
567 m4/lstat.m4
568 m4/manywarnings.m4
569 m4/md5.m4
570 m4/mktime.m4
571 m4/multiarch.m4
572 m4/nocrash.m4
573 m4/pathmax.m4
574 m4/pthread_sigmask.m4
575 m4/readlink.m4
576 m4/sha1.m4
577 m4/sha256.m4
578 m4/sha512.m4
579 m4/signal_h.m4
580 m4/signalblocking.m4
581 m4/socklen.m4
582 m4/ssize_t.m4
583 m4/st_dm_mode.m4
584 m4/stat.m4
585 m4/stdarg.m4
586 m4/stdbool.m4
587 m4/stddef_h.m4
588 m4/stdint.m4
589 m4/stdio_h.m4
590 m4/stdlib_h.m4
591 m4/strftime.m4
592 m4/strtoimax.m4
593 m4/strtoll.m4
594 m4/strtoull.m4
595 m4/strtoumax.m4
596 m4/symlink.m4
597 m4/sys_stat_h.m4
598 m4/time_h.m4
599 m4/time_r.m4
600 m4/tm_gmtoff.m4
601 m4/unistd_h.m4
602 m4/warn-on-use.m4
603 m4/warnings.m4
604 m4/wchar_t.m4
605 ])